// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UPrimitiveComponent.h"
#include "Components/PrimitiveComponent.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UPrimitiveComponent::SCW_UPrimitiveComponent(UPrimitiveComponent* InPrimitiveComponent) : SCW_USceneComponent(InPrimitiveComponent), PrimitiveComponent(InPrimitiveComponent)
{

}

UPrimitiveComponent* SCW_UPrimitiveComponent::ToUPrimitiveComponent() const
{
	return PrimitiveComponent;
}

ISCW_UPrimitiveComponentPtr SCW_UPrimitiveComponent::ToUPrimitiveComponentPtr()
{
	return GetSharedThisAs<SCW_UPrimitiveComponent>();
}

ISCW_UPrimitiveComponentConstPtr SCW_UPrimitiveComponent::ToUPrimitiveComponentPtr() const
{
	return GetSharedThisAs<SCW_UPrimitiveComponent>();
}